flickery 2.0 in Development

    I just wanted to quickly let you know that I've been working on flickery 2.0 for quite some time and you can follow the development process on my blog or on twitter. Enjoy :)

flickery now available on the Mac App Store


Changes in 1.9.43

  • If the update doesn't work, please use this direct link to download the update: http://eternalstorms.at/flickery/flickery.zip

  • Version 1.9.43 fixes a bug where your browser wouldn't send you back to flickery after authorization (essflickeryauth:// couldn't be opened)

Notes

New languages will be added with (hopefully) every new release of flickery. If you're interested in localizing it into your language, please write us at support(at)eternalstorms(dot)at. Thank you for your help!

Should you experience trouble with authorization after the update, please remove flickery's preferences file and restart flickery

This update is recommended for all users of flickery and requires Mac OS X 10.6.6 Snow Leopard.